/**
 * @file
 *
 * @copyright Axiros GmbH 2013-2022, All rights reserved
 *
 * @brief Initialization definitions for OS Mapping functions. This file is
*         deprecated, please see mapsupport.h instead.
 */

#ifndef MAPINIT_H_
#define MAPINIT_H_

struct event_base;

enum { MAPINI_OK, MAPINI_ERROR};


/**
 * @brief Initialize mapping functions
 *
 * @param[in] evbase lib event base reference to define own events
 *
 * @return 0: Success or 1: Error
 *
*  @note This function is deprecated, please use mapsupport_init() instead.
 */
int mapinit_initialize (struct event_base *evbase);


/**
 * @brief Shutdown mapping functions
 *
*  @note This function is deprecated, please use mapsupport_shutdown() instead.
 */
void mapinit_shutdown (void);

#endif /* MAPINIT_H_ */
